# Configuration

The configurations are found at **.../plugins/CustomFont/**

### ⚙️ Default config.yml

{% code fullWidth="false" %}

```yaml
# This plugin utilizes bStats which collects anonymous data (https://bstats.org)
# You can find statistics about this plugin at https://bstats.org/plugin/bukkit/CustomFont/20572
# If you wish to disable data collection, change "enabled: true" to "enabled: false" in .../plugins/bStats/config.yml
# Plugin documentation: https://aeonxd.gitbook.io/docs/plugins/customfont
# Config version, do NOT edit
config-version: "1.3.2"

# Don't have a key yet? Get one @ https://discord.com/invite/Y3n893SZ2K
license-key: "PUT-YOUR-LICENSE-KEY-HERE"

settings:
  update:
    # Disable if you don't want to check for updates
    check_updates: true
    # How often to check for updates (in hours)
    # Default: 24
    check_interval: 24
  # Font that's given to new players
  first-join-font: ""
  # Cooldown in seconds for /cf set
  # Bypass permission: customfont.user.set.bypasscooldown
  font-set-cooldown: 15
  # Should there be a difference between
  # "mini" and "Mini"?
  case-sensitivity: false
  # Whether to convert the font name the user set,
  # for example: "Successfully set as a chat font"
  # instead of: "Successfully set mini as a chat font"
  translate-font-name-on-set: true
  # Change this if your message translation doesn't work
  # Available priorities: LOWEST, LOW, NORMAL, HIGH, HIGHEST
  # Note that changing this can break plugins which modify messages
  # or scan for blacklisted words
  # Default: HIGH
  translation-priority: HIGH

expansion:
  # Return the input text if the font doesn't exist
  return-text-if-font-invalid: true

hooks:
  essentials:
    # Translates messages from /msg and /reply
    # Permission: customfont.user.essentials.privatemessage
    private-message: true
    # Translates messages from /mail send
    # Permission: customfont.user.essentials.mailmessage
    mail-message: true
  luckperms:
    per-group-fonts:
      # Enabling this causes the behavior of /cf(a) set/reset to be undefined
      enabled: false
      groups:
        default: ""
        vip: mini
  discordsrv:
    minecraft-to-discord: true
    discord-to-minecraft-font: mini

# Adds regular expressions to ignore
# Plugins supported (meaning you don't have to add it here):
# - InteractiveChat
ignored-keywords:
  - "Aeon"
```

{% endcode %}

### ⚙️ Default messages.yml

```yaml
# Config version, do NOT edit
config-version: "1.3.2"

prefix: "<#C92745><b>CustomFont</b> <#6D6D6D>•"

general:
  update-available: "%prefix% <gray>There's a new update available!<newline><#6D6D6D>(<#ffbf00>%oldVersion% <gray>→ <#C5FF78>%newVersion%<#6D6D6D>) <click:open_url:'https://builtbybit.com/r/36723/updates'><#6D6D6D>[<#F3E9D0><hover:show_text:'<gray>Click to download'>BuiltByBit</hover><#6D6D6D>]</click> <click:open_url:'https://polymart.org/r/5255/updates'><#6D6D6D>[<#F3E9D0><hover:show_text:'<gray>Click to download'>Polymart</hover><#6D6D6D>]</click>"
  no-update-available: "%prefix% <gray>There are no new updates available"
  subcommand-does-not-exist: "%prefix% <gray>The subcommand <#F3E9D0>%subcommand% <gray>does not exist"
  not-a-player: "%prefix% <gray>You must be a player to execute this command"
  not-console: "%prefix% <gray>You can execute this command only from the console"
  no-permission: "%prefix% <gray>You don't have sufficient permissions to execute this command"
  no-permission-font: "%prefix% <gray>You don't have permission to use this font"
  font-does-not-exist: "%prefix% <gray>The font <#F3E9D0>%font% <gray>does not exist"
  command-usage:
    - ""
    - " %prefix% <gray>Command help"
    - "  <#6D6D6D>›› <#F3E9D0>/%command% %subcommand+args%"
    - "  <#6D6D6D>›› <gray>%subcommandDescription%"
    - ""

user:
  font-not-set: "%prefix% <gray>You don't have a custom chat font set"
  font-already-set: "%prefix% <gray>You already have this font set!"
  successfully-set-font: "%prefix% <gray>Successfully set <#F3E9D0>%font% <gray>as a chat font"
  successfully-reset-font: "%prefix% <gray>Successfully reset your chat font"
  command-cooldown: "%prefix% <gray>You can execute this command again in <#F3E9D0>%seconds% seconds"
  preview:
    - ""
    - "%prefix% <gray>This is how the <#F3E9D0>%font% <gray>font would look like:"
    - " <#6D6D6D>›› <#F3E9D0>%message% "
    - ""
  help-layout:
    header:
      - ""
      - "%prefix% <gray>Displaying available commands..."
    body:
      - "  <#F3E9D0>/%command% %subcommand+args% <#6D6D6D>• <gray>%subcommandDescription% "
    footer:
      - ""

admin:
  target-not-found: "%prefix% <gray>Player <#F3E9D0>%target% <gray>not found"
  successfully-reloaded-plugin: "%prefix% <gray>Successfully reloaded the plugin"
  successfully-set-font: "%prefix% <gray>Successfully set font <#F3E9D0>%font% <gray>for <#F3E9D0>%target%"
  font-already-set: "%prefix% <#F3E9D0>%target% <gray>has this font already set"
  successfully-reset-font: "%prefix% <gray>Successfully reset <#F3E9D0>%target%<gray>'s chat font"
  font-not-set: "%prefix% <#F3E9D0>%target% <gray>doesn't have a custom chat font set"
  confirm-data-removal: "%prefix% <gray>Are you sure? Repeat the command to confirm removal"
  successfully-removed-data: "%prefix% <gray>Successfully removed <#F3E9D0>%entries% <gray>entries"
  no-data-to-remove: "%prefix% <gray>There's no data to remove"
  help-layout:
    header:
      - ""
      - "%prefix% <gray>Displaying available commands..."
    body:
      - "  <#F3E9D0>/%command% %subcommand+args% <#6D6D6D>• <gray>%subcommandDescription% "
    footer:
      - ""
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aeonxd.xyz/plugins/customfont/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
